Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167518 - Deadlock between lib.editor and AWT tree lock
Deadlock between lib.editor and AWT tree lock
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
67patch1-verified
: RANDOM, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 10:06 UTC by Jaroslav Tulach
Modified: 2009-07-16 14:22 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Thread dump (21.54 KB, text/plain)
2009-06-23 10:06 UTC, Jaroslav Tulach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2009-06-23 10:06:15 UTC
While working on issue 166192 and opening a webmaven project from command line I have noticed a deadlock.
Comment 1 Jaroslav Tulach 2009-06-23 10:06:45 UTC
Created attachment 83914 [details]
Thread dump
Comment 2 Vitezslav Stejskal 2009-06-23 12:51:33 UTC
The "AWT-EventQueue-1" thread acquires the AWTTreeLock and then tries to acquire the LockView's PriorityMutex and ends
up waiting. The "FoD Warm Up" thread first acquires the PriorityMutext in JavaEditorWarmUpTask and then tries to acquire
the AWTTreeLock, which obviously leads to a deadlock. IMO we should somehow fix the JavaEditorWarmUpTask.
Comment 3 Miloslav Metelka 2009-06-23 13:25:50 UTC
http://hg.netbeans.org/jet-main/rev/768ba6b2684c
Comment 4 Quality Engineering 2009-06-24 07:31:15 UTC
Integrated into 'main-golden', will be available in build *200906240201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/768ba6b2684c
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #167518 - Deadlock between lib.editor and AWT tree lock.
Comment 5 Petr Blaha 2009-07-02 13:05:34 UTC
Jardo, would you verify the fix in the latest trunk build? Thanks. We will include the fix in patch1.
Comment 6 martin_zmrhal 2009-07-07 11:44:11 UTC
Verified in 200907070200
Comment 7 pgebauer 2009-07-08 14:53:59 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/7b39373256c0
Comment 8 Jiri Prox 2009-07-16 14:22:32 UTC
v in 6.5.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo